Subject: bug#13590: 23.4; Cursor jumps around while typing

From: Stefan Kangas <[email-masked]>
Date: Fri, 13 Sep 2019 13:48:49 +0200

Alpheus Madsen <[email-masked]> writes:

> I need to add a couple of updates to this bug report.
>
> First, I have duplicated this bug, using both "emacs -nw -Q" and in commenting out my init.el file completely, essentially by doing the same thing.
>
> Second, (and I consider this to be a very important datapoint, that I forgot to report, to my everlasting shame), I am using Emacs under screen.  Indeed, if I run "emacs -nw -Q ~/aoeu.py" without screen, my very brief tests don't run into a problem, but if I start a new screen
> instance, and open "emacs -nw -Q ~/aoeu.py", I can type
>
>     def hello(world):
>
> and I get
>
>    def hello(w:rld)
>
> so whether the problem is with Emacs/screen interaction, or is strictly a problem with screen, I do not know.
>
> (For what it's worth, I've most recently been typing
>
>    def hello(world):
>    [TAB]testing = {"presidents" :
>    [TAB]{ "jefferson" : "thomas",
>    [TAB]"madison" : "james"}}
>    [TAB]vesting = {"confederates" :
>    [TAB]{"davis" : "jefferson"}}
>
> in an attempt to test tabbing; the cursor can jump at any time through the process, although I haven't been keeping track of when that happens.  This is really just a "stream-of-consciousness" tab test.)

Glenn Morris <[email-masked]> writes:

> Thanks for the report.
> Could you try the latest release, 24.2, to see if you still have the
> same problem? (There is a Debian package for this, sadly stuck in unstable.)
> Better still, the latest pretest from
> http://alpha.gnu.org/gnu/emacs/pretest/

That was six years ago, and never got a reply.  Are you still seeing
this issue on a modern version of Emacs, for example Emacs 26.3 which
was recently released?

You can read your original bug report here:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=13590

FWIW, I was unable to reproduce this issue on Emacs 26.3.

If I don't hear back from you in a couple of weeks, I'll just assume
that it's been fixed in the intervening years and close this bug report.

Best regards,
Stefan Kangas